// IPublic.aidl
package cc.dkmproxy;
import cc.dkmproxy.DkmUserInfo;
// Declare any non-default types here with import statements

interface IPublic {

    //以下方法将添加到公共接口,由公共类统一调用
    //AkPublicPlugin.getInstance().addPlugin(AidlPluginImp.getInstance());
    //AidlPluginImp.java  调用了所有插件apk的下面的方法【如果有实现】
    void initstart();
    void initSuccessData(String jsObj);
    void initChannel();
    void registerSuccess(String jsonObject);
    void login();
    void loginstart();
    void loginSuccess(String jsonObject);
    void logout();
    void OnlineMessage(String paramJSONObject);
    void createRole(String jsonObject);
    void enterGame(String jsonObject);
    void roleUpLevel(String jsonObject);
    void onCreate() ;
    void onStart();
    void onPause();
    void onResume();
    void onStop();
    void onDestroy();
    void onRestart();
    void ExtendedFunctions(String func, String args);
    void PaySuccess(String jsObj);
    void PayFail(String jsObj);
    void onActivityResult(int requestCode, int resultCode, String intentData) ;

    //根据后台init接口下发的标识【style】决定 AK_NOMARKED 字段的值。
    void initStyle(String style);
    //------------------------------------------


    //悬浮窗相关。由宿主APK注册全局Binder自行实现。【已实现：-> IPublicImpl.java】
    DkmUserInfo getUserInfo();
    int getUserCenterAnimationId();
    void setUserInfo(inout DkmUserInfo userInfo);
    void dkmChangePasswordByPhoneSuccess(String paramJSONObject, String newPassword);
    void dkmChangePasswordByOldSuccess(String paramJSONObject, String newPassword);
    void dkmGuestBindPhoneSuccess(String userObj,String username, String newPassword);
    void dkmLogout();

    //下载相关。由宿主APK注册全局Binder自行实现。【已实现：-> com.dkm.sdk.aidl.impl.IPublicImpl.java】
    void prepare() ;
    void startDownload(String apkUrl,
                                     boolean isShowNotification,
                                     int type ,
                                     int fileSize,
                                     String nitifyTitle,
                                     String packageName) ;
    //----------------------------------------


    //悬浮窗相关。由悬浮窗插件apk自行实现。
    void initFloatBall();
    void showFloatBall();
    void closeFloat();
    void floatPause();
    void floatStart();
    void destroyFloatBall();
    void setDotVis(boolean vis, String index);
    boolean isShowDot() ;
    void showBubbleView(String content, long showTime, int msgId, int openType);
    //--------------------------------------
    //热云模块相关。由热云插件apk自行实现。
    void initWithKeyAndChannelId(String appId,String channelId) ;
    void setRegisterWithAccountID(String accountId) ;
    void setLoginSuccessBusiness(String accountId) ;
    void setPaymentStart(String transactionId, String paymentType, String  currencyType,
                                                     float currencyAmount ) ;
    void setPayment(String transactionId, String paymentType, String  currencyType,
                                            float currencyAmount ) ;
    void setGamePaymentStart(String roleParam,  String payParam,  String transactionId,
                                     String paymentType,  String  currencyType,  float currencyAmount,
                                     float virtualCoinAmount, String iapName, int iapAmount) ;
    void setGamePayment(String roleParam, String payParam, String transactionId,
                                 String paymentType, String  currencyType, float currencyAmount,
                                float virtualCoinAmount, String iapName, int iapAmount) ;
    void setGameEvent(String roleParam, String eventName) ;
    void setEvent(String eventName) ;
    void exitSdk() ;
    void onLoginInter(String info);
    void onLoginBtn(String info) ;
    void onRegisterInter(String info) ;
    void onRegisterBtn(String info) ;

    //push模块相关。由push插件apk自行实现。
    void sdkPushOnlineOnSuccess(String jsonObject);
    void sdkPushOnlineOnFail(String jsonObject);
    void sdkHuaweiPushData(String jsonObject);
    void sdkXioamiPushData(String jsonObject);
    void sdkTipsonline(String jsonObject);
    void sdkVivoPushData(String jsonObject);
    void sdkOppoPushData(String jsonObject);
    //notice模块相关.由notice插件apk自行实现。
    void showNotice(String weburl);
}
